<?php
				
// element do stronnicowania wynikow

	//stronnicowanie
	if(!isset($strona)){
	  $strona = 1;
	}
	
	
   $ile_wpisow = $row_ile;
	$ile_stron = $ile_wpisow/$po_ile_na_stronie;
	$ile_stron2 = explode('.',$ile_stron);
	if($ile_stron>$ile_stron2[0]){$ile_stron++;}

	
	$wszystkich_stron = explode('.',$ile_stron);
	$temp =($strona*$po_ile_na_stronie)-$po_ile_na_stronie;


	if($ile_wpisow==0){$ile_wpisow = "BRAK";}


	if($strona>=4){ $stronnicowanie["pierwsza"] = '<a href="'.$go.','.$_GET['subgo'].',1,'.$_GET['akcja'].','.$_GET['co'].'.html" title="Pierwsza strona">&laquo;</a>'; } 
	if($strona!=1){ $stronnicowanie["poprzednia"] = '<a href="'.$go.','.$_GET['subgo'].','.($strona-1).','.$_GET['akcja'].','.$_GET['co'].'.html" title="Poprzednia strona">poprzednia</a>'; } 


	$start = 1;
	if($strona>=3){$start = $strona-2; if(($strona>($wszystkich_stron[0]-2)) and ($strona>=4)){$start = $strona - 4 +($wszystkich_stron[0]-$strona);if($start<=0){$start=1;}}}
	$stop = $ile_stron;
	if($strona<=($ile_stron-2)){$stop = $strona+2; if($strona<=2 and ($strona+3)<=$wszystkich_stron[0]){$stop = $strona + (5-$strona); if($stop>$wszystkich_stron[0]){$stop = $wszystkich_stron[0];}} }
	for($licznik=$start;$licznik<=$stop;$licznik++){
		if($licznik==$strona){
			$stronnicowanie["strony"] .= '<a href="'.$go.','.$_GET['subgo'].','.$licznik.','.$_GET['akcja'].','.$_GET['co'].'.html" id="zaznaczone">'.$licznik.'</a> ';
		}else{
			$stronnicowanie["strony"] .= '<a href="'.$go.','.$_GET['subgo'].','.$licznik.','.$_GET['akcja'].','.$_GET['co'].'.html">'.$licznik.'</a> ';
		}
	}


	
	

	if($strona<$wszystkich_stron[0]){ 
		$stronnicowanie["nastepna"] = '<a href="'.$go.','.$_GET['subgo'].','.($strona+1).','.$_GET['akcja'].','.$_GET['co'].'.html" title="Nastêpna strona">nastêpna</a>';
	}			
	if($strona<=($wszystkich_stron[0]-3)){ 
		$stronnicowanie["ostatnia"] = '<a href="'.$go.','.$_GET['subgo'].','.$wszystkich_stron[0].','.$_GET['akcja'].','.$_GET['co'].'.html" title="Ostatnia strona">&raquo;</a>';
	}



	$stronnicowanie["strona"] = $strona;
	$stronnicowanie["strona_z"] = $wszystkich_stron[0];
	$stronnicowanie["ile_wpisow"] = $ile_wpisow;
	
	
	$tpl->assign("stronnicowanie", $stronnicowanie);		

?>